InvocationOrigin.Peer
Keywords: net.corda.core.context.InvocationOrigin.Peer class
Date: 2023-09-18

net.corda.core.context

## Class InvocationOrigin.Peer

- net.corda.core.context.InvocationOrigin
- - net.corda.core.context.InvocationOrigin.Peer

- Enclosing class:
    InvocationOrigin

      public static class InvocationOrigin.Peer
      extends InvocationOrigin

  Origin was a message sent by a `class InvocationOrigin.Peer`.

  See Also:
    `class InvocationOrigin.Peer`

- - ### Constructor Detail

    - #### Peer

          public Peer(@NotNull
                      CordaX500Name party)

      Origin was a message sent by a `class InvocationOrigin.Peer`.

      See Also:
        `class InvocationOrigin.Peer`

  - ### Method Detail

    - #### principal

          @NotNull
          public java.security.Principal principal()

      Returns the Principal for a given `class Actor`.

      See Also:
        Principal, `class Actor`

    - #### getParty

          @NotNull
          public CordaX500Name getParty()

    - #### component1

          @NotNull
          public CordaX500Name component1()

    - #### copy

          @NotNull
          public net.corda.core.context.InvocationOrigin.Peer copy(@NotNull
                                                                            CordaX500Name party)

      Origin was a message sent by a `class InvocationOrigin.Peer`.

      See Also:
        `class InvocationOrigin.Peer`

    - #### toString

          @NotNull
          public java.lang.String toString()

      Origin was a message sent by a `class InvocationOrigin.Peer`.

      See Also:
        `class InvocationOrigin.Peer`

    - #### hashCode

          public int hashCode()

      Origin was a message sent by a `class InvocationOrigin.Peer`.

      See Also:
        `class InvocationOrigin.Peer`

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      Origin was a message sent by a `class InvocationOrigin.Peer`.

      See Also:
        `class InvocationOrigin.Peer`